SystemOrganization addCategory: #'Equipement-TIT'!

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:45'!
testdafaultpointvalueshouldbe0
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 'QPW1'=power label.
	self assert: 0 = power pointValue! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:19'!
testpointvaluenegatif
	power := AnalogInput new.
	power pointValue: -1.
	self assert: 0 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:19'!
testpointvaluepositif
	power := AnalogInput new.
	power pointValue: 40000.
	self assert: 32767 = power pointValue.! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 14:58'!
testpointvaluereturn15000
	power := AnalogInput new.
	power pointValue: 15000.
	self assert: 15000 = power pointValue.! !

Object subclass: #AnalogInput
	instanceVariableNames: 'total valeur valuer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipement-TIT'!

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:44'!
label
^valeur! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 16:46'!
label: aByteString 
valeur := aByteString.
! !

!AnalogInput methodsFor: 'accessing' stamp: 'GiraudBouvier 4/27/2012 16:41'!
pointValue
	^ 32767 min: (0 max: (total ifNil:[^0]) )
	
! !

!AnalogInput methodsFor: 'as yet unclassified' stamp: 'GiraudBouvier 4/27/2012 14:40'!
pointValue: asSmallinteger
total:= asSmallinteger.! !
